# Interface SchemaReceiverFactory

All Known Implementing Classes:
  `NrlSchemaReceiverFactory`, `SAXSchemaReceiverFactory`, `SchemaReaderFactorySchemaReceiverFactory`, `SchemaReaderLoaderSchemaReceiverFactory`, `SchemaReceiverLoader`

public interface SchemaReceiverFactory

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final PropertyId<SchemaReceiverFactory>`
  `PROPERTY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SchemaReceiver`
  `createSchemaReceiver(String namespaceUri, PropertyMap properties)`
  `Option`
  `getOption(String uri)`

- ## Field Details

  - ### PROPERTY

    static final PropertyId<SchemaReceiverFactory> PROPERTY

- ## Method Details

  - ### createSchemaReceiver

    SchemaReceiver createSchemaReceiver(String namespaceUri, PropertyMap properties)

  - ### getOption

    Option getOption(String uri)